View Issue Details

IDProjectCategoryView StatusLast Update
0008943MediaMonkey 4Install/Configpublic2012-02-01 04:06
Reporterrusty Assigned To 
PriorityimmediateSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version4.0.2 
Target Version4.0.3Fixed in Version4.0.3 
Summary0008943: MM continually prompts for elevation on Standard user account / uses admin settings db (regression)
DescriptionUser reported the following regression in MM 4.0.2 (vs 4.0).

When MM is installed as Admin, and then runs MM as standard user, it keeps forcing the user to elevate, each time MM is run (via the stardard user account).

When running MM as standard user, the DB that is shown is that of the admin account (iirc, MM 4.0 uses separate settings/DB for Admin vs individual users)!

Note:
Users/<standarduser>/Appdata/Local/MediaMonkey isn't created
Users/<standarduser>/Appdata/MediaMonkey/MediaMonkey is empty
Steps To Reproduce1 Remove all instances of MM / previous configurations (this is important-the bug didn't occur when this wasn't done, although I suspect that it would occur in some upgrade scenarios)
2 Login to account with admin privileges, and install MM. Do Not Run MM after install.
3 Switch to user with Standard account privileges and run MM
--> elevation prompt
4 Close MM
5 Restart MM
--> elevation prompt

Step 4/5 will occur ad infinitum
TagsNo tags attached.
Fixed in build1466

Relationships

parent of 0009218 closedLudek Autoplay actions don't work (regression) 
related to 0009094 closedpeke UAC elevation doesn't work on Windows 7 x64 system 
related to 0009306 closedpeke MediaMonkey Elevation prompt appears repeatedly in some environments 
child of 0008476 closedpetr Issues re. first run in Elevated mode (D&D problems, etc) 

Activities

jiri

2012-01-11 08:40

administrator   ~0029814

As discussed, this will be fixed by not starting MM elevated _ever_ and using an external object to handle the stuff needed to be done in elevated mode.

petr

2012-01-18 23:52

developer   ~0029955

Fixed in 1465

lowlander

2012-01-19 23:15

developer   ~0029976

Forum reports it isn't resolved: http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=64011

petr

2012-01-20 14:55

developer   ~0029994

Fixed in 1466

peke

2012-02-01 04:06

developer   ~0030180

Verified 1466